package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.PracticeGroup;
import com.ym.mec.biz.dal.enums.ActivityCourseType;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class PracticeGroupApplyBaseInfoDto extends PracticeGroup {

    @ApiModelProperty(value = "课酬",required = false)
    private BigDecimal salary;

    @ApiModelProperty(value = "教师线上课课酬")
    private BigDecimal onlineTeacherSalary;

    @ApiModelProperty(value = "活动课程类型")
    private ActivityCourseType activityCourseType;

    /** 课程结束日期 */
    @ApiModelProperty(value = "课程结束日期", required = false)
    private java.util.Date coursesExpireDate;

    @Override
    public Date getCoursesExpireDate() {
        return coursesExpireDate;
    }

    @Override
    public void setCoursesExpireDate(Date coursesExpireDate) {
        this.coursesExpireDate = coursesExpireDate;
    }

    public ActivityCourseType getActivityCourseType() {
        return activityCourseType;
    }

    public void setActivityCourseType(ActivityCourseType activityCourseType) {
        this.activityCourseType = activityCourseType;
    }

    public BigDecimal getOnlineTeacherSalary() {
        return onlineTeacherSalary;
    }

    public void setOnlineTeacherSalary(BigDecimal onlineTeacherSalary) {
        this.onlineTeacherSalary = onlineTeacherSalary;
    }

    public BigDecimal getSalary() {
        return salary;
    }

    public void setSalary(BigDecimal salary) {
        this.salary = salary;
    }
}
